Docs
Add Advance Module
POST /Collaborators/{collaboratorId}/advances/{advanceId}/modules
POST
/Collaborators/{collaboratorId}/advances/{advanceId}/modulesAdds a module to an existing advance, seeded from a module template (from AdvanceTemplates_GetModuleTemplates) with a due date, required flag, task-tracking and task-review flags and an optional reviewer user; a template can be added to an advance only once. Tracking tasks are only created when an AdvanceTaskStatusMapping exists (Advances_UpsertAdvanceTaskStatusMapping); needs collaborator admin rights.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| collaboratorId | uuid | Required | |
| advanceId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| moduleTemplateId | uuid | Optional | |
| dueDate | date-time | Optional | |
| isRequired | boolean | Optional | |
| isTaskTracked | boolean | Optional | |
| isTaskReviewRequired | boolean | Optional | |
| reviewerUserId | uuid | Optional |